New song starts playing at the same position previous song was left

September 07, 2016 00:47 - Ludovico Ferdinando

Status: Rejected Start date: September 07, 2016

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.8   

Description

1. Start playing a song

2. Open another song from Dolphin

Result:

New song starts playing at the same position the previous song was. For example, if the first song was at 1:49, the second song will

play from 1:49 too.

This happens both if the first song is being played or had been paused.
History

#1 - September 07, 2016 04:10 - John Lindgren

Bizarre.  Obviously it works fine here; we would not have released a beta if that was happening to everyone.  What type of file are you trying to play?

#2 - September 07, 2016 23:06 - Ludovico Ferdinando

John Lindgren wrote:

Bizarre.  Obviously it works fine here; we would not have released a beta if that was happening to everyone.  What type of file are you trying to

play?

 

.mp3 files. This happens with the GTK version of Audacious too, but not with deadbeef (another music player).

#3 - September 08, 2016 01:30 - John Lindgren

What is the output of audacious -VV ?

#4 - September 08, 2016 01:41 - John Lindgren

Also attach your config file, and see if you can reproduce the problem logging into a plain xterm session with a new user account (use the command

line to open files rather than Dolphin) to rule out any problems on the KDE side.
#5 - September 10, 2016 01:12 - Ludovico Ferdinando

xterm seems to be used to login remotely via SSH. Did you mean a virtual console? Anyway, I managed to "fix" it by changing many settings and

reverting them back to my original options. I'm not sure what step fixed it, but I first noticed it was working as expected after moving some songs from

my external HD to the SSD where Linux is installed and opening them from it. I also had logged off and in again. Anyway, opening songs directly from

the HD also work now.

If this problem comes back, I'll upload my config file and try to get proper logs.

#6 - September 10, 2016 02:41 - John Lindgren

- Status changed from New to Rejected

xterm is a graphical terminal for X11.  It has nothing to do with SSH directly, though you can certainly use the two together.  If you log in on the Linux

console with a fresh user account and run xinit, it should start X11 with only an xterm running, rather than a full desktop environment.

Closing for now.  Let us know if you can identify the conditions for reproducing the problem.
